Subject: Re: Fw: [patch 08/16] powerpc: remove EMBEDDED6xx Kconfig entry

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 04 Nov 2006 07:46:15 +1100

> OK - so in this sense PPC_MULTIPLATFORM would be used more to help
> categorize (make ppc platforms depend on it in Kconfig) as opposed to
> enabling different code/function? (thus some of Sascha's patches
> getting rid of CONFIG_PPC_MMULTIPLATFORM ifdefs)

I'd rather get rid of it completely.

> I should have more properly said "the majority of the existing
> 'embedded' platforms (not PSERIES, CHRP, PREP etc.) currently
> implmented in /power seem to define CONFIG_DEFAULT_UIMAGE"

Yes. Though I hope we'll see some alternatives to uboot soon

/me looks towards ojn and segher....

> Makes sense.  Specific to the current wrapper though - the boot
> Makefile currently keys off the following for the different zImage
> 'types'
> 
> image-$(CONFIG_PPC_PSERIES)             += zImage.pseries
> image-$(CONFIG_PPC_MAPLE)               += zImage.pseries
> image-$(CONFIG_PPC_IBM_CELL_BLADE)      += zImage.pseries
> image-$(CONFIG_PPC_CHRP)                += zImage.chrp
> image-$(CONFIG_PPC_PMAC)                += zImage.pmac
> image-$(CONFIG_DEFAULT_UIMAGE)          += uImage
> 
> My original point really was that if I have a ppc 'embedded' board
> which I don't want to classify/define as
> PSERIES/MAPLE/CELL_BLADE/CHRP/PMAC, and I don't want to generate a
> uImage, I think there needs to be another definition, something like
> CONFIG_DEFAULT_ZIMAGE (similar to how CONFIG_DEFAULT_UIMAGE is used in
> some of the existing /power platform defs to create a uImage) which
> would be used to produce a 'normal' zImage type (zImage.pseries?).

Yeah, that's what the zImage.pseries is :) Bad name I agree.

>   Basically - a definition analogous to the exisiting
> CONFIG_DEFAULT_UIMAGE, but for zImage.  It would be used in a similar
> way - where any platform could select in its configuration to result
> in a 'normal' zImage being created (indeed, could
> PPC_PSERIES/MAPLE/BLADE just select this more generic definition and
> the Makefile use it instead?)

Ben.